Bug 1564260 - gnome-terminal crashes on some touch input
Summary: gnome-terminal crashes on some touch input
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 19:49 UTC by David Bolding
Modified: 2018-11-30 21:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:05:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 795010 0 None None None 2018-04-05 19:49:24 UTC

Description David Bolding 2018-04-05 19:49:25 UTC
Description of problem:
gnome-terminal crashes on some touch input

Version-Release number of selected component (if applicable):
Using Fedora 27, rpmfusion enabled but nothing crazy done.
dnf says gnome-terminal is version 3.26.2

How reproducible:
every time

Steps to Reproduce:
1. in a gnome session, open a gnome-terminal
2. touch inside the gnome-terminal; this will bring up the on-screen keyboard
3. touch the top-right corner, where the power button is; this will show the drop-down menu, and hide the on-screen keyboard
4. touch inside the gnome-terminal window again; the gnome-terminal will crash.  (The on-screen keyboard will still be shown.)

Actual results:
Gnome-terminal crashes

Expected results:
gnome-terminal regains focus, and the on-screen keyboard is shown.

Additional info:
If I touch somewhere else, like the desktop, the on-screen keyboard will re-appear, and gnome-terminal won't crash; I suspect the behavior is related to gnome-terminal receiving touch input while the on-screen keyboard isn't shown.

I don't know how to produce any further useful information, since gnome-terminal detaches from the terminal that launches it, and it doesn't list a debug-output option when you run it with --help-all.

I reported this on gnome's bugzilla too.

Comment 1 Ben Cotton 2018-11-27 16:08:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:05:23 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.